package com.my.bus.mapper;

import com.my.bus.domain.SysOperationLog;

import java.util.List;

/**
 * 日志Mapper接口
 *
 * @author my
 * @date 2024-12-23
 */
public interface SysOperationLogMapper {
    /**
     * 查询日志
     *
     * @param id 日志主键
     * @return 日志
     */
    public SysOperationLog selectById(Long id);

    /**
     * 查询日志列表
     *
     * @param sysOperationLog 日志
     * @return 日志集合
     */
    public List<SysOperationLog> selectList(SysOperationLog sysOperationLog);

    /**
     * 新增日志
     *
     * @param sysOperationLog 日志
     * @return 结果
     */
    public int insert(SysOperationLog sysOperationLog);

    /**
     * 修改日志
     *
     * @param sysOperationLog 日志
     * @return 结果
     */
    public int update(SysOperationLog sysOperationLog);

    /**
     * 删除日志
     *
     * @param id 日志主键
     * @return 结果
     */
    public int deleteById(Long id);

    /**
     * 批量删除日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIds(Long[] ids);

    /**
     * 逻辑删除日志
     *
     * @param id 日志主键
     * @return 结果
     */
    public int logicDelete(Long id);
}
